## zam-plugins 3.7~repack2

=== Makefile ===
PREFIX ?= /usr/local
LIBDIR ?= lib
BINDIR ?= bin

NAME    = zam-plugins
VERSION = $(shell cat .version)

PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 ZamGate ZamGateX2 ZamHeadX2 ZaMaximX2 ZamDelay
#ZamPiano ZamSFZ ZamChild670

include Makefile.mk

# --------------------------------------------------------------

all: libs $(PLUGINS) gen

libs:
	$(MAKE) -C dpf/dgl

gen: $(PLUGINS) dpf/utils/lv2_ttl_generator
	@$(CURDIR)/dpf/utils/generate-ttl.sh
ifeq ($(MACOS),true)
	@$(CURDIR)/dpf/utils/generate-vst-bundles.sh
endif

dpf/utils/lv2_ttl_generator:
	$(MAKE) -C dpf/utils/lv2-ttl-generator

$(PLUGINS): libs
	$(MAKE) -C plugins/$@

# --------------------------------------------------------------

install: all
	install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2 \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/vst \
		$(DESTDIR)$(PREFIX)/$(BINDIR) ; \
	for plugin in $(PLUGINS); do \
		install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 ; \
		install -t $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 \
			bin/"$$plugin".lv2/* ; \
	done;
ifeq ($(HAVE_JACK),true)
	for plugin in $(PLUGINS); do \
		install -t $(DESTDIR)$(PREFIX)/$(BINDIR) bin/"$$plugin" ; \
	done;
endif
	install -t $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa bin/*-ladspa.so
	install -t $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst bin/*-vst.so

uninstall:
	for plugin in $(PLUGINS); do \
		rm -rf $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 ; \
		rm -f $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa/"$$plugin"-ladspa.so ; \
		rm -f $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst/"$$plugin"-vst.so ; \
		rm -f $(DESTDIR)$(PREFIX)/$(BINDIR)/"$$plugin" ; \
	done

# --------------------------------------------------------------

clean:
	for plugin in $(PLUGINS); do \
		$(MAKE) -C plugins/"$$plugin" clean; \
	done
	$(MAKE) clean -C dpf/dgl
	$(MAKE) clean -C dpf/utils/lv2-ttl-generator

# --------------------------------------------------------------

.version: FORCE
	if test -d .git; then \
		git describe > .version; \
	fi

_dist_pre: .version FORCE
	rm -rf dist
	mkdir dist
	git clone --recursive . dist/$(NAME)-$(VERSION)
	(cd dist/$(NAME)-$(VERSION); git checkout $(VERSION))
	$(MAKE) -C dist/$(NAME)-$(VERSION) plugins .version
	rm -rf dist/$(NAME)-$(VERSION)/.git* \
		dist/$(NAME)-$(VERSION)/*/.git*

_dist_post: FORCE
	rm -rf dist

_dist_bz2: FORCE
	cd dist; tar -cvjf ../$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)

_dist_gz: FORCE
	cd dist; tar -cvzf ../$(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)

_dist_xz: FORCE
	cd dist; tar -cvJf ../$(NAME)-$(VERSION).tar.xz $(NAME)-$(VERSION)

_dist_zip: FORCE
	cd dist; zip -r ../$(NAME)-$(VERSION).zip $(NAME)-$(VERSION)

dist_bz2: _dist_pre _dist_bz2 _dist_post
dist_gz: _dist_pre _dist_gz _dist_post
dist_xz: _dist_pre _dist_xz _dist_post
dist_zip: _dist_pre _dist_zip _dist_post
dist: dist_xz

FORCE:

=== dpf/dgl/Makefile ===
#!/usr/bin/make -f
# Makefile for dgl #
# ---------------- #
# Created by falkTX
#

include Makefile.mk

# --------------------------------------------------------------

BUILD_C_FLAGS   += $(DGL_FLAGS) -I. -Isrc
BUILD_CXX_FLAGS += $(DGL_FLAGS) -I. -Isrc
LINK_FLAGS      += $(DGL_LIBS)

# --------------------------------------------------------------

OBJS = \
	src/Application.cpp.o \
	src/Color.cpp.o \
	src/Geometry.cpp.o \
	src/Image.cpp.o \
	src/ImageWidgets.cpp.o \
	src/NanoVG.cpp.o \
	src/Resources.cpp.o \
	src/Widget.cpp.o

ifeq ($(MACOS),true)
OBJS += src/Window.mm.o
else
OBJS += src/Window.cpp.o
endif

TARGET = ../libdgl.a

# --------------------------------------------------------------

all: $(TARGET)

# --------------------------------------------------------------

../libdgl.a: $(OBJS)
	rm -f $@
	$(AR) crs $@ $^

../libdgl.dll: $(OBJS)
	# -Wl,--output-def,$@.def,--out-implib,$@.a
	$(CXX) $^ -shared $(LINK_FLAGS) -o $@

../libdgl.dylib: $(OBJS)
	$(CXX) $^ -dynamiclib $(LINK_FLAGS) -o $@

../libdgl.so: $(OBJS)
	$(CXX) $^ -shared $(LINK_FLAGS) -o $@

# --------------------------------------------------------------

%.c.o: %.c
	$(CC) $< $(BUILD_C_FLAGS) -c -o $@

%.cpp.o: %.cpp
	$(CXX) $< $(BUILD_CXX_FLAGS) -c -o $@

src/Window.cpp.o: src/Window.cpp src/pugl/*
	$(CXX) $< $(BUILD_CXX_FLAGS) -c -o $@

src/Window.mm.o: src/Window.cpp src/pugl/*
	$(CXX) $< $(BUILD_CXX_FLAGS) -ObjC++ -c -o $@

# --------------------------------------------------------------

clean:
	rm -f src/*.d src/*.o ../libdgl.*

debug:
	$(MAKE) DEBUG=true

# --------------------------------------------------------------

-include $(OBJS:%.o=%.d)

# --------------------------------------------------------------

=== plugins/ZamAutoSat/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamAutoSat

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamAutoSatPlugin.cpp.o

OBJS_UI  = \
	ZamAutoSatArtwork.cpp.o \
	ZamAutoSatUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamComp

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamCompPlugin.cpp.o

OBJS_UI  = \
	ZamCompArtwork.cpp.o \
	ZamCompUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamPiano/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamPiano

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	instrument.cpp.o \
	PianoNote.cpp.o \
	ZamPianoPlugin.cpp.o

OBJS_UI  = \
	ZamPianoArtwork.cpp.o \
	ZamPianoUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += dssi_dsp
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi_ui
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamTube/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamTube

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamTubePlugin.cpp.o \
	wdf.cpp.o

OBJS_UI  = \
	ZamTubeArtwork.cpp.o \
	ZamTubeUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
zam-plugins (3.7~repack2-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 11:38:40 +0100

zam-plugins (3.7~repack2-2) unstable; urgency=medium

  * Add patch for istalling on Hurd and kfreebsd (Closes: #820150).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 20 Jun 2016 10:55:18 +0200

zam-plugins (3.7~repack2-1) unstable; urgency=medium

  * Imported Upstream version 3.7~repack2
  * Tune get-orig-source.
  * Bump Standards.
  * Fix VCS fields.
  * Refresh patch.
  * Fix some hardening.
  * Update copyright file.
  * Update description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Jun 2016 19:33:11 +0200

=== debian/control ===
Source: zam-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends:
 debhelper (>= 10),
 pkg-config,
# lv2-dev,
 ladspa-sdk,
 libjack-dev,
 liblo-dev,
 libgl1-mesa-dev | libgl-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zam-plugins.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zam-plugins.git
Homepage: http://www.zamaudio.com/?p=976

Package: zam-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Collection of LV2, LADSPA, LINUX-VST and JACK plugins
 Plugins for high quality audio processing.
 .
 The purpose of these plugins is to provide high quality DSP without
 using an excessive amount of CPU.
 .
 There currently is no official documentation on how to use these plugins,
 but anyone who is familiar with outboard gear should be able to work it out.
  The default settings and almost every slider is calibrated to standard ranges.
 .
 Package contain these plugins:
  * ZamAutoSat
    Automatic saturator (mono)
  * ZaMaximX2
    Lightweight maximiser/limiter (stereo)
  * ZamComp
    Dynamic range compressor (mono)
  * ZamCompX2
    Dynamic range compressor (stereo)
  * ZamDelay
    Basic delay plugin (mono)
  * ZamEQ2
    Parametric equaliser (mono)
  * ZamGate
    Gate plugin (mono)
  * ZamGateX2
    Gate plugin (stereo)
  * ZamGEQ31
    31 band graphic equaliser (mono)
  * ZamHeadX2
    Acoustic HRTF stereo widener (stereo)
  * ZamTube
    Triode tube amp simulator (mono)
  * ZaMultiComp
    Multiband compressor (mono)
  * ZaMultiCompX2
    Multiband compressor (stereo)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~repack2
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) \
		PREFIX=/usr \
		$(noopt)

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

# get-orig-source to drop upstream .gitignore file
get-orig-source:
	git  clone --recursive --branch $(upstream_version) git://github.com/zamaudio/zam-plugins
	rm -fR $(pkg)/.git
#	rm $(pkg)/dpf/dgl/src/oui-blendish/resources/blender_icons.svg
	find $(pkg)/ -name '.*' -delete
	find $(pkg)/dpf/ -name '.*' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz

## zam-plugins 3.8~repack2

=== debian/changelog ===
zam-plugins (3.8~repack2-1) unstable; urgency=medium

  * New upstream version 3.8~repack2
  * Patches refreshed.
  * Bump Standards.
  * Improve description.
  * Add override file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Jun 2017 18:44:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libjack-dev,
  liblo-dev,
  libgl1-mesa-dev | libgl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zam-plugins.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zam-plugins.git
 Homepage: http://www.zamaudio.com/?p=976
@@ -60,6 +60,9 @@
     Multiband compressor (mono)
   * ZaMultiCompX2
     Multiband compressor (stereo)
+  * ZamDynamicEQ
+    Dynamic equaliser
+  * ZamPhono

## zam-plugins 3.9~repack3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 NAME    = zam-plugins
 VERSION = $(shell cat .version)
 
-PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 ZamGate ZamGateX2 ZamHeadX2 ZaMaximX2 ZamDelay
+PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 ZamGate ZamGateX2 ZamHeadX2 ZaMaximX2 ZamDelay ZamDynamicEQ ZamPhono
 #ZamPiano ZamSFZ ZamChild670
 
 include Makefile.mk
@@ -15,7 +15,9 @@
 all: libs $(PLUGINS) gen
 
 libs:
+ifeq ($(HAVE_DGL),true)
 	$(MAKE) -C dpf/dgl
+endif
 
 gen: $(PLUGINS) dpf/utils/lv2_ttl_generator
 	@$(CURDIR)/dpf/utils/generate-ttl.sh
@@ -63,7 +65,9 @@
 	for plugin in $(PLUGINS); do \
 		$(MAKE) -C plugins/"$$plugin" clean; \
 	done
+ifeq ($(HAVE_DGL),true)
 	$(MAKE) clean -C dpf/dgl
+endif
 	$(MAKE) clean -C dpf/utils/lv2-ttl-generator
 
 # --------------------------------------------------------------

=== plugins/ZaMaximX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMaximX2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZaMaximX2Plugin.cpp.o

OBJS_UI  = \
	ZaMaximX2Artwork.cpp.o \
	ZaMaximX2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZaMultiComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMultiComp

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZaMultiCompPlugin.cpp.o

OBJS_UI  = \
	ZaMultiCompArtwork.cpp.o \
	ZaMultiCompUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZaMultiCompX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMultiCompX2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZaMultiCompX2Plugin.cpp.o

OBJS_UI  = \
	ZaMultiCompX2Artwork.cpp.o \
	ZaMultiCompX2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamChild670/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamChild670

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamChild670Plugin.cpp.o \
	sidechainamplifier.cpp.o \
	tubemodel.cpp.o \
	variablemuamplifier.cpp.o \
	wdfcircuits.cpp.o \
	wavechild670.cpp.o

OBJS_UI  = \
	ZamChild670Artwork.cpp.o \
	ZamChild670UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamCompX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamCompX2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamCompX2Plugin.cpp.o

OBJS_UI  = \
	ZamCompX2Artwork.cpp.o \
	ZamCompX2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamDelay/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamDelay

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamDelayPlugin.cpp.o

OBJS_UI  = \
	ZamDelayArtwork.cpp.o \
	ZamDelayUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamDynamicEQ/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamDynamicEQ

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamDynamicEQPlugin.cpp.o

OBJS_UI  = \
	ZamDynamicEQArtwork.cpp.o \
	ZamDynamicEQUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamEQ2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamEQ2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamEQ2Plugin.cpp.o

OBJS_UI  = \
	ZamEQ2Artwork.cpp.o \
	ZamEQ2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamGEQ31/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGEQ31

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamGEQ31Plugin.cpp.o

OBJS_UI  = \
	ZamGEQ31Artwork.cpp.o \
	ZamGEQ31UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamGate/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGate

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamGatePlugin.cpp.o

OBJS_UI  = \
	ZamGateArtwork.cpp.o \
	ZamGateUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamGateX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGateX2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamGateX2Plugin.cpp.o

OBJS_UI  = \
	ZamGateX2Artwork.cpp.o \
	ZamGateX2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
zam-plugins (3.9~repack3-1) unstable; urgency=medium

  * Improve description.
  * Repacking by copyright file now.
  * New upstream version 3.9~repack3
  * Update Vcs to use git instead of cgit.
  * Bump Standards.
  * Update copyright file.
  * Remove unused B-D.
  * Update override file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 13 Oct 2017 11:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
 Build-Depends:
  debhelper (>= 10),
  pkg-config,
-# lv2-dev,
  ladspa-sdk,
  libjack-dev,
  liblo-dev,
  libgl1-mesa-dev | libgl-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zam-plugins.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zam-plugins.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/zam-plugins.git
 Homepage: http://www.zamaudio.com/?p=976
 
 Package: zam-plugins
@@ -63,6 +62,7 @@
   * ZamDynamicEQ
     Dynamic equaliser
   * ZamPhono
+    A collection filters for restoring vinyl records.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
-dfsg_version = $(upstream_version)~repack2
+dfsg_version = $(upstream_version)~repack3
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)
 
@@ -24,11 +24,9 @@
 		PREFIX=/usr
 	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl
 
-# get-orig-source to drop upstream .gitignore file
 get-orig-source:
 	git  clone --recursive --branch $(upstream_version) git://github.com/zamaudio/zam-plugins
 	rm -fR $(pkg)/.git
-#	rm $(pkg)/dpf/dgl/src/oui-blendish/resources/blender_icons.svg
 	find $(pkg)/ -name '.*' -delete
 	find $(pkg)/dpf/ -name '.*' -delete
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz

## zam-plugins 3.14~repack3

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 PREFIX ?= /usr/local
 LIBDIR ?= lib
 BINDIR ?= bin
+HAVE_DGL ?= true
 
 NAME    = zam-plugins
 VERSION = $(shell cat .version)
 
-PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 ZamGate ZamGateX2 ZamHeadX2 ZaMaximX2 ZamDelay ZamDynamicEQ ZamPhono
-#ZamPiano ZamSFZ ZamChild670
+PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 ZamGate ZamGateX2 ZamHeadX2 ZaMaximX2 ZamDelay ZamDynamicEQ ZamPhono ZamVerb ZamGrains
 
-include Makefile.mk
+include dpf/Makefile.base.mk
 
 # --------------------------------------------------------------
 
@@ -69,6 +69,8 @@
 	$(MAKE) clean -C dpf/dgl
 endif
 	$(MAKE) clean -C dpf/utils/lv2-ttl-generator
+	rm -f lib/zita-convolver-4.0.0/*.o lib/zita-convolver-4.0.0/*.d
+	rm -f plugins/ZamSFZ/libsfz/*.o plugins/ZamSFZ/libsfz/*.d
 
 # --------------------------------------------------------------

=== dpf/Makefile ===
#!/usr/bin/make -f
# Makefile for DPF #
# ---------------- #
# Created by falkTX
#

include Makefile.base.mk

all: dgl examples gen

# --------------------------------------------------------------

dgl:
	$(MAKE) -C dgl

examples: dgl
	$(MAKE) all -C examples/Info
	$(MAKE) all -C examples/Latency
	$(MAKE) all -C examples/Meters
	$(MAKE) all -C examples/MidiThrough
	$(MAKE) all -C examples/Parameters
	$(MAKE) all -C examples/States

ifeq ($(HAVE_CAIRO),true)
	$(MAKE) all -C examples/CairoUI
endif

ifneq ($(MACOS_OR_WINDOWS),true)
	# ExternalUI is WIP
	$(MAKE) all -C examples/ExternalUI
	install -d bin/d_extui-dssi
	install -d bin/d_extui.lv2
	install -m 755 examples/ExternalUI/ExternalLauncher.sh bin/d_extui.sh
	install -m 755 examples/ExternalUI/ExternalLauncher.sh bin/d_extui-dssi/d_extui.sh
	install -m 755 examples/ExternalUI/ExternalLauncher.sh bin/d_extui.lv2/d_extui.sh
endif

ifneq ($(CROSS_COMPILING),true)
gen: examples utils/lv2_ttl_generator
	@$(CURDIR)/utils/generate-ttl.sh
ifeq ($(MACOS),true)
	@$(CURDIR)/utils/generate-vst-bundles.sh
endif

utils/lv2_ttl_generator:
	$(MAKE) -C utils/lv2-ttl-generator
else
gen:
endif

# --------------------------------------------------------------

clean:
	$(MAKE) clean -C dgl
	$(MAKE) clean -C examples/CairoUI
	$(MAKE) clean -C examples/Info
	$(MAKE) clean -C examples/Latency
	$(MAKE) clean -C examples/Meters
	$(MAKE) clean -C examples/MidiThrough
	$(MAKE) clean -C examples/Parameters
	$(MAKE) clean -C examples/States
	$(MAKE) clean -C utils/lv2-ttl-generator
ifneq ($(MACOS_OR_WINDOWS),true)
	$(MAKE) clean -C examples/ExternalUI
endif
	rm -rf bin build

# --------------------------------------------------------------

.PHONY: dgl examples

=== plugins/ZaMaximX2/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZaMaximX2Plugin.cpp.o
+FILES_DSP = \
+	ZaMaximX2Plugin.cpp
 
-OBJS_UI  = \
-	ZaMaximX2Artwork.cpp.o \
-	ZaMaximX2UI.cpp.o
+FILES_UI  = \
+	ZaMaximX2Artwork.cpp \
+	ZaMaximX2UI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZaMultiComp/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZaMultiCompPlugin.cpp.o
+FILES_DSP = \
+	ZaMultiCompPlugin.cpp
 
-OBJS_UI  = \
-	ZaMultiCompArtwork.cpp.o \
-	ZaMultiCompUI.cpp.o
+FILES_UI  = \
+	ZaMultiCompArtwork.cpp \
+	ZaMultiCompUI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZaMultiCompX2/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZaMultiCompX2Plugin.cpp.o
+FILES_DSP = \
+	ZaMultiCompX2Plugin.cpp
 
-OBJS_UI  = \
-	ZaMultiCompX2Artwork.cpp.o \
-	ZaMultiCompX2UI.cpp.o
+FILES_UI  = \
+	ZaMultiCompX2Artwork.cpp \
+	ZaMultiCompX2UI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZamAutoSat/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZamAutoSatPlugin.cpp.o
+FILES_DSP = \
+	ZamAutoSatPlugin.cpp
 
-OBJS_UI  = \
-	ZamAutoSatArtwork.cpp.o \
-	ZamAutoSatUI.cpp.o
+FILES_UI  = \
+	ZamAutoSatArtwork.cpp \
+	ZamAutoSatUI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZamChild670/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamChild670

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamChild670Plugin.cpp \
	sidechainamplifier.cpp \
	tubemodel.cpp \
	variablemuamplifier.cpp \
	wdfcircuits.cpp \
	wavechild670.cpp

FILES_UI  = \
	ZamChild670Artwork.cpp \
	ZamChild670UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif

ifeq ($(UNIX),true)
TARGETS += ladspa
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamComp/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZamCompPlugin.cpp.o
+FILES_DSP = \
+	ZamCompPlugin.cpp
 
-OBJS_UI  = \
-	ZamCompArtwork.cpp.o \
-	ZamCompUI.cpp.o
+FILES_UI  = \
+	ZamCompArtwork.cpp \
+	ZamCompUI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZamCompX2/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZamCompX2Plugin.cpp.o
+FILES_DSP = \
+	ZamCompX2Plugin.cpp
 
-OBJS_UI  = \
-	ZamCompX2Artwork.cpp.o \
-	ZamCompX2UI.cpp.o
+FILES_UI  = \
+	ZamCompX2Artwork.cpp \
+	ZamCompX2UI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZamDelay/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZamDelayPlugin.cpp.o
+FILES_DSP = \
+	ZamDelayPlugin.cpp
 
-OBJS_UI  = \
-	ZamDelayArtwork.cpp.o \
-	ZamDelayUI.cpp.o
+FILES_UI  = \
+	ZamDelayArtwork.cpp \
+	ZamDelayUI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZamDynamicEQ/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZamDynamicEQPlugin.cpp.o
+FILES_DSP = \
+	ZamDynamicEQPlugin.cpp
 
-OBJS_UI  = \
-	ZamDynamicEQArtwork.cpp.o \
-	ZamDynamicEQUI.cpp.o
+FILES_UI  = \
+	ZamDynamicEQArtwork.cpp \
+	ZamDynamicEQUI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== plugins/ZamEQ2/Makefile ===
--- 
+++ 
@@ -12,17 +12,17 @@
 # --------------------------------------------------------------
 # Files to build
 
-OBJS_DSP = \
-	ZamEQ2Plugin.cpp.o
+FILES_DSP = \
+	ZamEQ2Plugin.cpp
 
-OBJS_UI  = \
-	ZamEQ2Artwork.cpp.o \
-	ZamEQ2UI.cpp.o
+FILES_UI  = \
+	ZamEQ2Artwork.cpp \
+	ZamEQ2UI.cpp
 
 # --------------------------------------------------------------
 # Do some magic
 
-include ../Makefile.mk
+include ../../dpf/Makefile.plugins.mk
 
 # --------------------------------------------------------------
 # Enable all possible plugin types
@@ -31,13 +31,8 @@
 TARGETS += jack
 endif
 
-ifeq ($(LINUX),true)
+ifeq ($(UNIX),true)
 TARGETS += ladspa
-ifeq ($(HAVE_DGL),true)
-ifeq ($(HAVE_LIBLO),true)
-TARGETS += dssi
-endif
-endif
 endif
 
 ifeq ($(HAVE_DGL),true)

=== debian/changelog ===
zam-plugins (3.14~repack3-1) unstable; urgency=medium

  * New upstream version 3.14~repack3
  * Fix build with zita-convolver
  * Update d/copyright year for my entry

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 18 Jan 2021 23:10:14 +0100

zam-plugins (3.13~repack3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Dennis Braun ]
  * New upstream version 3.13~repack3
    + Manually repacked with the current dpf submodule @ 08669d1
    + The lib dir is removed, we use zita-convolver4 from debian
  * d/control:
    + Add me as uploader
    + Bump dh-compat to 13
    + Add libjack-jackd2-dev, libsamplerate0-dev & libzita-convolver-dev as B-D
    + Bump S-V to 4.5.1
    + Set RRR: no
    + Remove trailing whitespace
    + Add ZamVerb and ZamGrains to the description of the package
  * d/copyright:
    + Add comment
    + Update copyright year
    + Add myself to the d/ section
    + Remove non-existent dpf/distrho/src/vestige/aeffectx.h
    + Update dpf/dgl/src/pugl entries
  * Remove debian/source/local-options
  * Remove patches, deprecated
  * Clean d/rules & fix stripping
  * Add d/upstream/metadata
  * Bump d/watch to version 4
  * Add d/zam-plugins.lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 20 Nov 2020 11:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: zam-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Adrian Knoth <adi@drcomp.erfurt.thur.de>
+ Adrian Knoth <adi@drcomp.erfurt.thur.de>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  pkg-config,
  ladspa-sdk,
- libjack-dev,
+ libjack-jackd2-dev | libjack-dev,
  liblo-dev,
- libgl1-mesa-dev | libgl-dev
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zam-plugins.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/zam-plugins.git
-Homepage: http://www.zamaudio.com/?p=976
+ libgl1-mesa-dev | libgl-dev,
+ libsamplerate0-dev,
+ libzita-convolver-dev (>= 4.0.0)
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/zam-plugins.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zam-plugins
+Homepage: https://github.com/zamaudio/zam-plugins
+Rules-Requires-Root: no
 
 Package: zam-plugins
 Architecture: any
@@ -63,8 +67,7 @@
     Dynamic equaliser
   * ZamPhono
     A collection filters for restoring vinyl records.
-
-
-
-
-
+  * ZamVerb
+    Stereo reverb plugin
+  * ZamGrains
+    Looper and rhythm slicer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export HAVE_ZITA_CONVOLVER = true
export SKIP_STRIPPING = true

noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) \
		PREFIX=/usr \
		$(noopt)

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

=== debian/watch ===
version=4
opts=dversionmangle=s/~repack.*// \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz

## zam-plugins 4.1+ds

=== plugins/ZamCompX2/Makefile ===
--- 
+++ 
@@ -27,21 +27,12 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(HAVE_JACK),true)
 TARGETS += jack
-endif
-
-ifeq ($(UNIX),true)
 TARGETS += ladspa
-endif
-
-ifeq ($(HAVE_DGL),true)
 TARGETS += lv2_sep
-else
-TARGETS += lv2_dsp
-endif
-
-TARGETS += vst
+TARGETS += vst2
+TARGETS += vst3
+TARGETS += clap
 
 all: $(TARGETS)

=== plugins/ZamDelay/Makefile ===
--- 
+++ 
@@ -27,21 +27,12 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(HAVE_JACK),true)
 TARGETS += jack
-endif
-
-ifeq ($(UNIX),true)
 TARGETS += ladspa
-endif
-
-ifeq ($(HAVE_DGL),true)
 TARGETS += lv2_sep
-else
-TARGETS += lv2_dsp
-endif
-
-TARGETS += vst
+TARGETS += vst2
+TARGETS += vst3
+TARGETS += clap
 
 all: $(TARGETS)

=== plugins/ZamPiano/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamPiano

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	instrument.cpp \
	PianoNote.cpp \
	ZamPianoPlugin.cpp

FILES_UI  = \
	ZamPianoArtwork.cpp \
	ZamPianoUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamVerb/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamVerb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamVerbPlugin.cpp \
	ZamVerbImpulses.cpp \
	convolution.cpp

ifneq ($(HAVE_ZITA_CONVOLVER),true)
FILES_DSP += \
	zita-convolver.cpp
endif

FILES_UI  = \
	ZamVerbArtwork.cpp \
	ZamVerbUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

ifeq ($(HAVE_ZITA_CONVOLVER),true)
BASE_FLAGS += -DHAVE_ZITA_CONVOLVER
LINK_FLAGS += -lzita-convolver
else
include ../zita-convolver.mk
endif

# --------------------------------------------------------------
# Extra flags

ifeq ($(LINUX),true)
BASE_FLAGS += $(shell pkg-config --cflags samplerate fftw3f)
LINK_FLAGS += $(shell pkg-config --libs fftw3f samplerate)
else
BASE_FLAGS += $(shell pkg-config --static --cflags samplerate fftw3f)
LINK_FLAGS += $(shell pkg-config --static --libs fftw3f samplerate)
endif

LINK_FLAGS += -lpthread

# --------------------------------------------------------------

TARGETS += jack
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
zam-plugins (4.1+ds-1) unstable; urgency=medium

  * New upstream version 4.1+ds
    + Repack with Files-Excluded
  * Build with dpf-source
  * d/rules: Enable LTO (Closes: #1015713)
  * Build verbose (Closes: #982964)
  * Pass CPPFLAGS via CFLAGS/CXXFLAGS
  * Make blhc ignore lines starting with "Compiling ..."
  * Allow cross compiling
    + Do not hardcode pkg-config
  * Apply wrap-and-sort -ast
  * Change my email address
  * Prefer libjack-dev over libjack-jackd2-dev
  * Bump Standards-Version to 4.6.2
  * d/copyright: Bump copyright year, add files licensed as CC-BY
  * d/gbp.conf: Remove wrong compression
  * Refresh lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Mon, 26 Dec 2022 21:01:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dpf-source:native,
+ ladspa-sdk,
+ libgl1-mesa-dev | libgl-dev,
+ libjack-dev | libjack-jackd2-dev,
+ liblo-dev,
+ libsamplerate0-dev,
+ libzita-convolver-dev (>= 4.0.0),
  pkg-config,
- ladspa-sdk,
- libjack-jackd2-dev | libjack-dev,
- liblo-dev,
- libgl1-mesa-dev | libgl-dev,
- libsamplerate0-dev,
- libzita-convolver-dev (>= 4.0.0)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/zam-plugins.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zam-plugins
 Homepage: https://github.com/zamaudio/zam-plugins
@@ -25,7 +26,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: Collection of LV2, LADSPA, LINUX-VST and JACK plugins
  Plugins for high quality audio processing.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow optimize=+lto
export HAVE_ZITA_CONVOLVER = true
export SKIP_STRIPPING = true

ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	export CROSS_COMPILING = true
endif
noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)

%:
	dh $@

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: ^Compiling .*"

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
		PREFIX=/usr \
		VERBOSE=$(if $(filter terse,$(DEB_BUILD_OPTIONS)),false,true) \
		$(noopt)

execute_before_dh_auto_configure:
	cp -fr /usr/share/dpf/ .

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

override_dh_auto_clean:
